/*
    REVIEWS CSS

    Las partes comunes con index.css se
    comentan allí, lógicamente ciertos
    valores pueden cambiar, es más hay
    cierta parte que podría meterla como base
    en otro fichero común e importarlo en los dos

    Aquí cambie la estrategia y dejo todo con
    un tamaño fijo salvo la letra y vario la cantidad
    de tarjetas mostradas segun sea más ancho el
    navegador total la resolución es la misma

*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

header {
    grid-area: header;
}

#subheader {
    grid-area: subheader;
}

nav {
    grid-area: nav;
}

main {
    grid-area: main;
}

footer {
    grid-area: footer;
}


body {
    color: white;
    background-color: rgb(56, 55, 55);
    place-items: start center;
    display: grid;
    grid-template-areas:
        "header"
        "subheader"
        "main";
    grid-template-rows: 6vh 20vh auto;
    grid-template-columns: 100vw;
}

/*
  Al principio use overflow-x en el body
  pero me di cuenta que el header seguia
  habiendo problemas porque seguia sin
  estar completo del todo y si ponia menos
  ancho a la columna si cabia el contenido pero
  entonces a veces quedaban margenes en la pagina
  y no sabia porque a veces el ocupar todo el ancho
  con el grid iba bien o no
  Pues resulta que cuando tienes muchas reviews
  se genera una barra de scroll vertical
  esto hace que ocupe un ancho en pantalla pero no
  se resta al viewport, es decir los 100 vw seguiran
  siendo todo el navegador y para calcular el ancho total
  se suma al de la barra y como no cabe el contenido
  den el viewport se genera una barra horizontal en
  la parte inferior del navegador para visualizar
  esa pequeña parte que queda desbordado por la barra
  vertical.
  Solución: quitar del body las barras quitando su anchura
   esto hace que tampoco se muestren las verticales
   pero no importa porque esteticamente queda bien
*/
body,
body::-webkit-scrollbar {
    width: 0px;
    scrollbar-width: 0;
}

/*
    Al usar un fixed arriba y el subheader
    ser un sticky, quiere decir que el subheader
    puede cambiar su posicionamiento
    y para que no quede por encima del header
    le pongo a este último un z-index mayor que el
    subheader
*/
header {
    height: 6vh;
    width: 100%;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 99;
}

/*
    Aquí usamos el z-index para estar por encima
    del datagrid de tarjetas
    Esta vez he elegido la estrategia de vh para
    siempre tener la misma proporcion vertical
    en pantalla y no cambiar su tamaño aunque varie
    el ancho
    Por ser sticky restrinjo su altura
*/
#subheader {
    background-color: rgba(0, 0, 0, 0.824);
    position: sticky;
    z-index: 10;
    top: -8.5vh;
    left: 0;
    width: 100%;
    height: 20vh;
}

#review-header {
    width: 100%;
    height: 100%;
}

/*
    He escogido la estrategia de mostrar
    las tarjetas con wrap así que se van
    mostrando si caben a lo ancho por tanto
    las tarjetas deben tener un ancho
*/
#reviews {
    padding: 20px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 20px;
    justify-content: center;
}


#reviews .ReviewDetailed {
    min-width: 450px;
    max-width: 480px;
}